#
# spec file for package messagelib
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define kf5_version 5.60.0
# Latest stable Applications (e.g. 17.08 in KA, but 17.11.80 in KUA)
%{!?_kapp_version: %define _kapp_version %(echo %{version}| awk -F. '{print $1"."$2}')}
%bcond_without lang
Name:           messagelib
Version:        20.04.2
Release:        bp153.1.29
Summary:        KDE PIM library for e-mail message parsing and display
License:        GPL-2.0-only AND GPL-3.0-only AND LGPL-2.1-or-later
Group:          System/Libraries
URL:            https://www.kde.org
Source:         https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz
BuildRequires:  extra-cmake-modules
BuildRequires:  kdepim-apps-libs-devel
BuildRequires:  kf5-filesystem
BuildRequires:  libQt5Sql-private-headers-devel
BuildRequires:  libgpgme-devel
BuildRequires:  libgpgmepp-devel
BuildRequires:  cmake(Grantlee5)
BuildRequires:  cmake(KF5Akonadi)
BuildRequires:  cmake(KF5AkonadiContact)
BuildRequires:  cmake(KF5AkonadiMime)
BuildRequires:  cmake(KF5AkonadiSearch)
BuildRequires:  cmake(KF5Archive)
BuildRequires:  cmake(KF5Codecs)
BuildRequires:  cmake(KF5Completion)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5Contacts)
BuildRequires:  cmake(KF5DBusAddons)
BuildRequires:  cmake(KF5GrantleeTheme)
BuildRequires:  cmake(KF5Gravatar)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5IMAP)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5IdentityManagement)
BuildRequires:  cmake(KF5ItemViews)
BuildRequires:  cmake(KF5JobWidgets)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5Ldap)
BuildRequires:  cmake(KF5Libkdepim)
BuildRequires:  cmake(KF5Libkleo)
BuildRequires:  cmake(KF5MailTransport)
BuildRequires:  cmake(KF5Mbox)
BuildRequires:  cmake(KF5Mime)
BuildRequires:  cmake(KF5NewStuff)
BuildRequires:  cmake(KF5PimCommon)
BuildRequires:  cmake(KF5PimTextEdit)
BuildRequires:  cmake(KF5SyntaxHighlighting)
BuildRequires:  cmake(KF5XmlGui)
BuildRequires:  cmake(QGpgme)
BuildRequires:  cmake(Qca-qt5)
BuildRequires:  cmake(Qt5Concurrent)
BuildRequires:  cmake(Qt5Network)
BuildRequires:  cmake(Qt5Sql)
BuildRequires:  cmake(Qt5Test)
BuildRequires:  cmake(Qt5UiTools)
BuildRequires:  cmake(Qt5WebEngine)
BuildRequires:  cmake(Qt5WebEngineWidgets)
BuildRequires:  cmake(Qt5Widgets)
# It can only build on the same platforms as Qt Webengine
ExclusiveArch:  %{ix86} x86_64 %{arm} aarch64 mips mips64
%if %{with lang}
Source1:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz.sig
Source2:        applications.keyring
%endif
BuildRequires:  libboost_headers-devel
Recommends:     %{name}-lang

%description
This package contains the messagelib library. It is used by KDE PIM to parse and
display emails.

%package devel
Summary:        Library for messages
License:        LGPL-2.1-or-later
Group:          Development/Libraries/KDE
Requires:       %{name} = %{version}
Requires:       cmake(KF5Akonadi)
Requires:       cmake(KF5AkonadiMime)
Requires:       cmake(KF5Contacts)
Requires:       cmake(KF5IdentityManagement)
Requires:       cmake(KF5Libkleo)
Requires:       cmake(KF5MessageCore)
Requires:       cmake(KF5Mime)
Requires:       cmake(KF5PimCommon)

%description devel
This package contains source headers for messagelib.

%lang_package

%prep
%autosetup -p1

%build
%cmake_kf5 -d build -- -DMESSAGEVIEWER_USE_QTWEBENGINE=TRUE -DQTWEBENGINE_SUPPORT_OPTION=TRUE
%cmake_build

%install
%kf5_makeinstall -C build
%if %{with lang}
  %find_lang %{name} --with-man --all-name
%endif

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files devel
%license COPYING*
%{_kf5_cmakedir}/KF5MessageComposer/
%{_kf5_cmakedir}/KF5MessageCore/
%{_kf5_cmakedir}/KF5MessageList/
%{_kf5_cmakedir}/KF5MessageViewer/
%{_kf5_cmakedir}/KF5MimeTreeParser/
%{_kf5_cmakedir}/KF5TemplateParser/
%{_kf5_cmakedir}/KF5WebEngineViewer/
%{_kf5_includedir}/
%{_kf5_libdir}/libKF5MessageComposer.so
%{_kf5_libdir}/libKF5MessageCore.so
%{_kf5_libdir}/libKF5MessageList.so
%{_kf5_libdir}/libKF5MessageViewer.so
%{_kf5_libdir}/libKF5MimeTreeParser.so
%{_kf5_libdir}/libKF5TemplateParser.so
%{_kf5_libdir}/libKF5WebEngineViewer.so
%{_kf5_mkspecsdir}/qt_*.pri

%files
%license COPYING*
%{_kf5_debugdir}/messagelib.categories
%{_kf5_debugdir}/messagelib.renamecategories
%{_kf5_knsrcfilesdir}/messageviewer_header_themes.knsrc
%dir %{_kf5_sharedir}/org.kde.syntax-highlighting
%dir %{_kf5_sharedir}/org.kde.syntax-highlighting/syntax
%{_kf5_sharedir}/org.kde.syntax-highlighting/syntax/kmail-template.xml
%{_kf5_configkcfgdir}/*.kcfg
%{_kf5_libdir}/libKF5MessageComposer.so.*
%{_kf5_libdir}/libKF5MessageCore.so.*
%{_kf5_libdir}/libKF5MessageList.so.*
%{_kf5_libdir}/libKF5MessageViewer.so.*
%{_kf5_libdir}/libKF5MimeTreeParser.so.*
%{_kf5_libdir}/libKF5TemplateParser.so.*
%{_kf5_libdir}/libKF5WebEngineViewer.so.*
%{_kf5_notifydir}/messageviewer.notifyrc
%{_kf5_plugindir}/messageviewer/
%{_kf5_sharedir}/kconf_update/
%{_kf5_sharedir}/libmessageviewer/
%{_kf5_sharedir}/messagelist/
%{_kf5_sharedir}/messageviewer/

%if %{with lang}
%files lang -f %{name}.lang
%license COPYING*
%endif

%changelog
* Tue Jun  9 2020 Christophe Giboudeaux <christophe@krop.fr>
- Update to 20.04.2
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/releases/2020-06-apps-update
- Changes since 20.04.1:
  * Fix save keys. We can't have multi keys
  * Allow to load cid element
  * Add cidschemehandler
  * Continue to fix loading image from cid scheme
  * Make sure that resourceType is a QWebEngineUrlRequestInfo::ResourceTypeImage
  * Fix Start to fix HTML content - mangled generation
  * Disable line too
  * Fix load header with qt5.15
* Fri May 15 2020 Luca Beltrame <lbeltrame@kde.org>
- Update to 20.04.1
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/releases/2020-05-apps-update
- Changes since 20.04.0:
  * Store infoResult too
  * Fix Bug 420766 - Envelope From is empty on outgoing mails (kde#420766)
  * Fix display correct charset
  * Fix Bug 420740 - adding of inline images broken (kde#420740)
  * Don't duplicate text in tooltip
  * Fix minimum size in warning message. Otherwise in hdpi we can have
    icon which is too big for red rect.
* Thu Apr 23 2020 Luca Beltrame <lbeltrame@kde.org>
- Update to 20.04.0
  * New feature release
  * For more details please see:
  * https://kde.org/announcements/releases/2020-04-apps-update
- Too many changes since 20.03.90, only listing bugfixes:
  * Fix Bug 419949 - KMail only partly shows HTML mail (kde#419949)
  * Fix Bug 419448 - MS Exchange sqeeze spaces in HTML messages (kde#419448)
* Sun Apr  5 2020 Luca Beltrame <lbeltrame@kde.org>
- Update to 20.03.90
  * New feature release
- Too many changes since 20.03.80, only listing bugfixes:
  * Fix Bug 416306 - send later agent wrongly store sended message to local storage (kde#416306)
* Sun Mar 22 2020 Luca Beltrame <lbeltrame@kde.org>
- Update to 20.03.80
  * New feature release
- Too many changes since 19.12.3, only listing bugfixes:
  * Fix Bug 418482 - KMail does not display answer (in HTML-mode) (kde#418482)
  * Fix Bug 416758 - Encoding broken (kde#416758)
  * Fix Bug 387061 - Large messages don't display in the viewer pane (eg. New Tumbleweed snapshot 20171117 released!) (kde#387061)
- Dropped patches, now upstream:
  * 0001-Fix-Bug-387061-Large-messages-don-t-display-in-the-v.patch
  * 0002-Initialize-variable.patch
  * 0001-Revert-Disable-reply-with-quote-text-as-this-bug-is-.patch
* Thu Mar  5 2020 Luca Beltrame <lbeltrame@kde.org>
- Update to 19.12.3
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/releases/2020-03-apps-update
- Changes since 19.12.2:
  * Fix setting translation domain on the Grantlee localizer
  * Fix using "Qt" in search line. Test flag was incorrect before
  * initialize value in header class
  * Fix pri file generation
  * Replace \n by '_' in filename. otherwise mail will be broken
* Thu Mar  5 2020 Wolfgang Bauer <wbauer@tmo.at>
- Add patch to reenable the "Only quote selected text when
  replying" feature, openSUSE's QtWebEngine package includes the
  fix for QTBUG-81574 meanwhile (boo#1163369, kde#394784)
  * 0001-Revert-Disable-reply-with-quote-text-as-this-bug-is-.patch
* Fri Feb  7 2020 Christophe Giboudeaux <christophe@krop.fr>
- Replace %%make_jobs with %%cmake_build.
* Wed Feb  5 2020 Luca Beltrame <lbeltrame@kde.org>
- Update to 19.12.2
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/releases/2020-02-apps-update
- Changes since 19.12.1:
  * Replace \n by '_' in filename. otherwise mail will be broken
  * Use correct ProvideUrl as requested
  * Disable reply with quote text as this bug is back in qt5.14.x
  * Fix Bug 416369 - attachments lost draft message (kde#416369)
  * Fix check signature size
- Dropped patches, now upstream:
  * 0001-Fix-Bug-416369-attachments-lost-draft-message.patch
- Update build requirements
* Fri Jan 17 2020 Luca Beltrame <lbeltrame@kde.org>
- Add upstream patch to prevent attachments from being lost when
  saving a message as a draft (kde#416369):
  * 0001-Fix-Bug-416369-attachments-lost-draft-message.patch
* Mon Jan 13 2020 Christophe Giboudeaux <christophe@krop.fr>
- Add upstream patch to fix display of large messages (kde#387061)
  * 0001-Fix-Bug-387061-Large-messages-don-t-display-in-the-v.patch
  * 0002-Initialize-variable.patch
* Tue Jan  7 2020 Christophe Giboudeaux <christophe@krop.fr>
- Update to 19.12.1
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/releases/19.12.1
- Too many changes since 19.12.0, only listing bugfixes:
  * Fix Bug 415254 - [regression] HTML viewer complains about "external references to images etc." when there are no images (kde#415254)
* Tue Dec 10 2019 Luca Beltrame <lbeltrame@kde.org>
- Update to 19.12.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/releases/19.12
- Changes since 19.11.90:
  * fix split element
  * Fix some autotest
  * Fix autotest. Code for showing "we have external ref" was fixed
  * Fetch DKIMResultAttribute too
  * Make basicobjecttreeparsertest independent of host timezone
  * Move mQcaInitializer directly in dkimmanagerkey. Not necessary to create
  * Fix Bug 414825 - saving dialog does not propose a file name (kde#414825)
  * Add new autotest. It will help us to port to qregularexpression
  * Don't use nullptr as flag value
  * Minor optimization
* Sat Nov 30 2019 Luca Beltrame <lbeltrame@kde.org>
- Update to 19.11.90
  * New feature release
  * For more details please see:
  * https://kde.org/announcements/releases/19.12-rc
- Too many changes to list here.
* Sun Nov 24 2019 Luca Beltrame <lbeltrame@kde.org>
- Update to 19.11.80
  * New feature release
- Too many changes to list here.
- Remove obsolete version requirements
* Thu Nov  7 2019 Luca Beltrame <lbeltrame@kde.org>
- Update to 19.08.3
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-19.08.3.php
- Changes since 19.08.2:
  * Fix search external reference
* Fri Oct 11 2019 Luca Beltrame <lbeltrame@kde.org>
- Update to 19.08.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-19.08.2.php
- Changes since 19.08.1:
  * Fix Bug 411822 - "Save As" option on email message does not show KIO Remote Folders (kde#411822)
  * Fix Bug 411769 - Enter more recipients than permitted - error message for each recipient (kde#411769)
* Thu Sep  5 2019 Luca Beltrame <lbeltrame@kde.org>
- Update to 19.08.1
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-19.08.1.php
- Changes since 19.08.0:
  * Include KDE* cmake macros before any others
  * Fix memory leak in PluginEditorGrammar
  * Fix crash when viewer is null
  * Allow to wrap attachment text (as diff)
* Fri Aug  9 2019 Christophe Giboudeaux <christophe@krop.fr>
- Update to 19.08.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-19.08.0.php
- Changes since 19.07.90:
  * Fix crash when viewer is null
  * Allow to wrap attachment text (as diff)
  * Add/Remove includes
* Tue Aug  6 2019 lbeltrame@kde.org
- Update to 19.07.90
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-19.08-rc.php
- Changes since 19.07.80:
  * Adapt to KCalendarCore namespace change
  * Fix runtime warning "QFSFileEngine::open: No file name specified"
  * Use system codepage when reading from piped command
* Tue Jul 23 2019 lbeltrame@kde.org
- Update to 19.07.80
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-19.08-beta.php
- Changes since 19.04.3:
  * Too many changes to list here
* Fri Jul 19 2019 Christophe Giboudeaux <christophe@krop.fr>
- Use %%_kf5_debugdir for logging categories.
* Sat Jul 13 2019 lbeltrame@kde.org
- Update to 19.04.3
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-19.04.3.php
- Changes since 19.04.2:
  * Use QTWEBENGINEWIDGETS_VERSION
  * Add missing include files
  * Use QTWEBENGINE_VERSION not QT_VERSION for WebEngine feature detection
  * i18n: use rc.cpp for extra sources
  * Use default value == date + 1
  * Don't save not necessary info
  * Restore popup menu position
  * Fix check url when zoom != 100
  * Fix Bug 390900 - Import vcf from email does not work (kde#390900)
  * Fix infinite loop when mThreadingCache is 'corrupted'
  * Use CTRL+ALT+Q for lock/unlock search
* Fri Jun  7 2019 lbeltrame@kde.org
- Update to 19.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-19.04.2.php
- Changes since 19.04.1:
  * It's not necessary to create a view.
  * enable TemplateParserJobTest::test_replyPlain again.
  * Refresh TemplateParserJobTest::test_convertedHtml logic
  * Decryption Oracle based on forwarding PGP or S/MIME mails (CVE-2019-10732) (kde#404698)
  * Make unexpected data leak harder via reply. (kde#404698)
  * Rename convertedHtmlContent-> convertedHtmlContent for reply_Plain
  * TemplateParser: test htmlReply.
  * Add test cases for a Decryption Oracle based on PGP inline.
  * templateparserjobtest: HTML mime parts are handled differently
  * Add test for a normal encrypted message, to make sure decryption works.
  * Test mails for Decryption Oracle based on replying to PGP or S/MIME. (kde#404698)
  * MimeTreeParser returns wrong content for inline messages with multiple encrypted blocks.
  * Distinguish between mMsg and mOrigMsg.
* Fri May 10 2019 lbeltrame@kde.org
- Update to 19.04.1
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
  * Improve scam detection
  * Fix Bug 407086 - Scam detection is too sensitive for URLs that trivially differ and are not a scam (kde#407086)
  * Remove debug
  * Don't use qAsConst over a temporary variable
* Sat Apr 20 2019 lbeltrame@kde.org
- Update to 19.04.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-19.04.0.php
- Changes since 19.03.90:
  * We need GUI support
  * Fix crash in autotest
* Tue Apr  9 2019 lbeltrame@kde.org
- Update to 19.03.90
  * New feature release
  * For more details please see:
  * https://kde.org/announcements/announce-applications-19.04-rc.php
- Changes since 19.03.80:
  * Fix Bug 406208 - "#" in a title news then only a part of the
  title is transmitted in subject of a mail (kde#406208)
  * Try to fix string
  * Add signal when we want to insert text
  * Convert to camelcase include
  * AttachmentUpdateJob needs to be exported even without BUILD_TESTING
  * Fix includes
  * Fix: no install not exported class
  * Remove unused includes
  * Don't install debug files + fix build
  * Remove bad includes
  * Don't install/export class when not necessary
  * Don't install not exported symbol
  * Make Attributes const in preparation for changes in akonadi
* Wed Mar 27 2019 lbeltrame@kde.org
- Update to 19.03.80
  * New feature release
  * For more details please see:
  * https://kde.org/announcements/announce-applications-19.04-beta.php
- Changes since 18.12.3:
  * Too many changes to list here
* Sat Mar  9 2019 lbeltrame@kde.org
- Update to 18.12.3
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
  * Fix runtime warning when calling deleteLater on a null object.
* Sat Feb  9 2019 lbeltrame@kde.org
- Update to 18.12.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-18.12.2.php
- Changes since 18.12.1:
  * Fix Bug 403460 - Expand BCC list of emails button is oriented in non-intuitive direction (kde#403460)
  * Disable code for the moment
  * Don't show "Attachment:" when there is a mail embedded
  * Avoid to wrap word
  * It was fixed in kmime
  * Fix show attachment as reported by David.
* Fri Jan 11 2019 lbeltrame@kde.org
- Update to 18.12.1
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-18.12.1.php
- Changes since 18.12.0:
  * api.longurl.org doesn't work now. Use lengthenurl.info
  * inform when we can't expand url
  * Don't generate string when it's not necessary
  * Fix Bug 402378 - mailto staement , uncomplete url past to kmail composer (kde#402378)
* Fri Dec 14 2018 lbeltrame@kde.org
- Update to 18.12.0
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
  * Make sure to not update when not necessary
  * Add autotests for excluding some "head"
* Mon Dec  3 2018 lbeltrame@kde.org
- Update to 18.11.90
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
  * templateparserextracthtmlinfo.cpp - deleteLater in dtor (kde#401337)
  * Fix return value
  * Remove unused variable
  * Already initialized in header
  * Fix mem leak
  * Add parent to menu (Fix potential mem leak)
  * Fix export class
  * Clean icon theme when we delete theme class
  * Exclude Refresh from MetaData (Not necessary)
  * Fix mem leak found by asan
  * Fix API (need for fixing mem leak found by asan)
* Tue Nov 20 2018 Luca Beltrame <lbeltrame@kde.org>
- Run spec-cleaner
* Tue Nov 20 2018 lbeltrame@kde.org
- Update to 18.11.80
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
  * Too many changes to list here
* Thu Nov  8 2018 lbeltrame@kde.org
- Update to 18.08.3
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-18.08.3.php
- Changes since 18.08.2:
  * Fix Bug 377708 - KMail doesn't remember to render in HTML (kde#377708)
  * Fix Bug 396398 - KMail 5.8.2 displays HTML formatting on top of message (kde#396398)
  * Check QtWebEngine version instead of Qt's (kde#397349)
- Dropped patches, now upstream:
  * 0001-Check-QtWebEngine-version-instead-of-Qt-s.patch
* Wed Oct 24 2018 wbauer@tmo.at
- Add 0001-Check-QtWebEngine-version-instead-of-Qt-s.patch to fix
  behavior of the PgUp/PgDown and Space keys in the messageviewer
  when QtWebEngine 5.10+ is used in combination with Qt 5.9 as in
  Leap 15 (boo#1105461, kde#397349)
* Thu Oct 11 2018 lbeltrame@kde.org
- Update to 18.08.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-18.08.2.php
- Changes since 18.08.1:
  * Relicense my code from GPLv2 to GPLv2+
  * Define color for openpgp signature
  * Store transport name and identity name
  * Don't save X-KMail-Fcc it's redundant
  * We need theses header when we resend file
* Sat Sep  8 2018 fabian@ritter-vogt.de
- Remove unnecessary kdewebkit-devel BuildReq
* Thu Sep  6 2018 lbeltrame@kde.org
- Update to 18.08.1
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-18.08.1.php
- Changes since 18.08.0:
  * Make sure that we can create a followupreminder
  * Show info debug
  * Fix Bug 397011 - Add Followup Reminder doesn't create reminder correctly (kde#397011)
  * Run UrlHandlerManagerTest inside the Akonad isolated environment
  * Fix block tracking url
  * Allow to close dialog
  * Make CI happy
  * Warning--
  * Avoid warning about "device not open"
  * Fix autotest
  * Fix autotest
  * Fix false positive
* Thu Aug 16 2018 christophe@krop.fr
- Update to 18.08.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-18.08.0.php
- Changes since 18.07.80:
  * It seems that we need to register it
  * Make sure that we load "disable emoticon" for header too
  * Save "disable emoticon" when we change this value
  * Don't show "Show detail" when we print mail
  * We need to add isPrinting variable (otherwise it will not work)
  * Fix link color/style text when we print mail
  * Fix indent
  * Fix rendering text. We can have Utf8 text
  * Fix printing support in signedmessage.
  * avoid crash by initializing pointer
  * Significant performance increase for specific use conditions
* Thu Jul 26 2018 lbeltrame@kde.org
- Update to 18.07.80
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-18.08-beta.php
- Changes since 18.04.3:
  * Too many changes to list here
* Fri Jul 13 2018 lbeltrame@kde.org
- Update to 18.04.3
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
  * Avoid to display all message in preview
  * Fix dnd attachment with qt5.11
- Dropped patches, now upstream:
  * 0001-Fix-dnd-attachment-with-qt5.11.patch
* Thu Jun 14 2018 lbeltrame@kde.org
- Add upstream patch 0001-Fix-dnd-attachment-with-qt5.11.patch:
  * Fixes drag-and-drop of attachments between message windows
* Fri Jun  8 2018 lbeltrame@kde.org
- Update to 18.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-18.04.2.php
- Changes since 18.04.1:
  * Ensure we always reset the external reference override (kde#394554)
  * QtWebEngine 5.11 can intercept more messages include local and data ones
- Dropped patches, now upstream:
  * always-reset-external-reference-override.patch
* Sat May 26 2018 lbeltrame@kde.org
- Add upstream patch always-reset-external-reference-override.patch:
  * Fix regression causing KMail to load external references
    in HTML messages without asking (kde#394554)
* Fri May 11 2018 lbeltrame@kde.org
- Update to 18.04.1
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-18.04.1.php
- Changes since 18.04.0:
  * Now when we use ESC we force focus on viewer
  * Use >=
  * Fix Bug 393688 - DND Attachments from one existing message to new message (kde#393688)
  * Distinguish between settings and explicit override for external content
  * Load external references in encrypted emails only on explicit request
  * Remove unused variable
  * Clean up css
  * Fix expand/collapse addresslist
  * Fix size
  * Cache value
  * Use directly css. Remove script for show full address. I know that some autotests are broken
  * Clean up
  * Cache number of identity
  * Cache string
  * Add comment
  * Minor optimization
  * Add comment
  * initialize value
  * Warning--
  * Minor optimization
  * Don't use injection code for attachment
  * Return attachmentHtml directly
  * Remove show/hide method
  * Remove hide/show attachment as discussed this WE.
* Wed Apr 18 2018 lbeltrame@kde.org
- Update to 18.04.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-18.04.0.php
- Changes since 18.03.90:
  * None
* Fri Apr  6 2018 lbeltrame@kde.org
- Update to 18.03.90
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-18.04-rc.php
- Changes since 17.12.3:
  * Too many changes to list here
- Dropped patches, now upstream:
  * kde389592.patch
* Thu Mar  8 2018 lbeltrame@kde.org
- Update to 17.12.3
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.12.3.php
- Changes since 17.12.2:
  * Reactivate code now
  * Reactivate scroll to
  * Remove some yellow style
  * Activate it
  * Fix add/remove yellow mark
  * Workaround bug found by David.
  * Patch from aleksejshilin
* Fri Feb 16 2018 wbauer@tmo.at
- Add kde389592.patch to fix "Disable Emoticons" option not being
  remembered (boo#1078174, kde#389592)
* Wed Feb  7 2018 lbeltrame@kde.org
- Update to 17.12.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
  * Add normal text too. So we can switch from html to normal text too
* Thu Jan 11 2018 lbeltrame@kde.org
- Update to 17.12.1
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.12.1.php
- Changes since 17.12.0:
  * Repair Page Down with Qt 5.9, there documentElement.scrollTop doesn't work.
  * Fix Bug 388440 - scrolling in KMail: "page down" only works once (kde#388440)
  * Add the values of the Inotify find call to the appropriate lists
  * Not necessary to use private class here
  * Hide widget when we change message
- Dropped patches, now upstream:
  * 0001-Fix-Bug-388440-scrolling-in-KMail-page-down-only-wor.patch
* Tue Jan  2 2018 fabian@ritter-vogt.de
- Add patch to fix scrolling with Qt >= 5.10 (boo#1074271):
  * 0001-Fix-Bug-388440-scrolling-in-KMail-page-down-only-wor.patch
* Sat Dec  9 2017 lbeltrame@kde.org
- Update to 17.12.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.12.0.php
- Changes since 17.11.90:
  * None
* Sat Dec  2 2017 lbeltrame@kde.org
- Update to 17.11.90
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.12-rc.php
- Changes since 17.11.80:
  * Fix crash when we delete attachment
  * fix x-kmail links with arguments
* Tue Nov 21 2017 lbeltrame@kde.org
- Update to 17.11.80
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.12-beta.php
- Changes since 17.08.3:
  * Too many changes to list here
- Dropped patches, now upstream:
  * fix-richtext-saving.patch
* Tue Nov 21 2017 lbeltrame@kde.org
- Add fix-richtext-saving.patch: fix the state of rich text saving
  in KMail's composer (kde#386660)
* Thu Nov  9 2017 lbeltrame@kde.org
- Update to 17.08.3
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.08.3.php
- Changes since 17.08.2:
  * Fix Bug 386368 - Links in HTML emails broken by escaped ampersands (kde#386368)
* Mon Oct 16 2017 lbeltrame@kde.org
- Update to 17.08.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.08.2.php
- Changes since 17.08.1:
  * Allow to show html source even if we have build as release
  * Add parent to qdialogbuttonbox
* Thu Sep  7 2017 lbeltrame@kde.org
- Update to 17.08.1
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.08.1.php
- Changes since 17.08.0:
  * Hide "to:" if "to" is empty
  * Fix potential crash
  * Fix url
  * Fix setting custom header color in message list theme editor
  * Fix 'lambda-expression in unevaluated context' error
  * Allow to react when we click on url and other
  * Improve default color
* Fri Aug 11 2017 christophe@krop.fr
- Update to KDE Applications 17.08.0
  * New feature release
  * https://www.kde.org/announcements/announce-applications-17.08.0.php
- Changes since 17.04.3 :
- Too many changes to list here
* Sat Aug  5 2017 christophe@krop.fr
- Update to KDE Applications 17.07.90
  * KDE Applications 17.07.90
  * https://www.kde.org/announcements/announce-applications-17.08-rc.php
* Sun Jul 16 2017 lbeltrame@kde.org
- Update to 17.04.3
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.3.php
- Changes since 17.04.2:
  * Don't create link when path is empty
  * Use floating point calculations for column sizes to avoid accumulating rounding errors
  * messagelist: fix horizontal scrollbar when applying column sizes
  * Fix Bug 380297 - Recipients counter miscounts number of message recipients (kde#380297)
  * Remove include
* Wed Jun  7 2017 lbeltrame@kde.org
- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * Make sure to sign/encrypt message when we send later
  * Change encryption too
  * Fix potential crash as david reported
  * Workaround assert in QtWebEngine 5.9 (ASSERT: "m_updateHttpCache")
  * Fix runtime warning about application/x-pkcs7-signature.
  * Use QTemporaryDir as discussed with David
  * Fix Bug 378526 - KMail 5.4.3: Attachment displayed with wrong filename (kde#378526)
* Wed May 17 2017 lbeltrame@kde.org
- Update to 17.04.1
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.1.php
- Changes since 17.04.0:
  * Use base64 encoding for all non-text attachments (kde#95733)
  * crypto unittests can't be run in parallel since they start/stop gpg-agent
  * Don't break i18n
  * Fix Bug 379066 - Bug in Grantlee template when viewing SMIME Msg: plain HTML code is shown (kde#379066)
  * Handle help:/ URLs through QDesktopServices
  * [autotests] repair mailwebenginescripttest after my changes in 37b99257
* Sun Apr 16 2017 lbeltrame@kde.org
- Update to 17.04.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.0.php
- Changes since 17.03.90:
  * Port isScrolledToBottom from jQuery to standard DOM, so it works even when jQuery isn't loaded
  * Rework timing of script injection for showing attachments in message viewer.
  * Use QFileInfo::exists(...) static method here
  * [autotests] more work towards stable autotests
  * [autotests] Let's see if this fixes the flakiness of the test
  * [autotests] Enable test mode in QStandardPaths to avoid interference from user settings.
  * Avoid timeout
  * Don't continue when we have error during compression.
  * Use QByteArrayLiteral here
  * [autotest] avoid timeout due to waiting for klauncher to exit
  * Use the same name as filename and name. It's more logical as discussed with David
  * Const'ify here
  * Use QByteArrayLiteral here
  * Use nullptr
  * Fix typo as reported by David
* Wed Apr 12 2017 lbeltrame@kde.org
- Update to 17.03.90
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04-rc.php
- Changes since 17.03.80:
  * Minor optimization
  * Minor optimization
  * Fix html here too
  * Fix i18n(...) it's a "block" variable here.
  * Reduce number of toUpper calling
  * Fix gpgsm processes being leaked due to QGpgME::KeyListJob not being deleted
  * Add metainfo.yaml
* Sat Mar 25 2017 lbeltrame@kde.org
- Update to 17.03.80
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04-beta.php
- Changes since 16.12.3:
  * Too many changes to list here
* Thu Mar  9 2017 lbeltrame@kde.org
- Update to 16.12.3
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-16.12.3.php
- Changes since 16.12.2:
  * Fix Bug 377247 - kMail 2 does not properly escape header (kde#377247)
  * Use correct variable for date direction
  * Finish removing the user agent from sent emails.
  * Rename method as requested by David
  * Keep "disable emoticon" state even if we switch message
* Thu Feb  9 2017 lbeltrame@kde.org
- Update to KDE Applications 16.12.2
  * KDE Applications 16.12.2
  * https://www.kde.org/announcements/announce-applications-16.12.2.php
* Sat Jan 14 2017 lbeltrame@kde.org
- - Update to KDE Applications 16.12.1
  * KDE Applications 16.12.1
  * https://www.kde.org/announcements/announce-applications-16.12.1.php
* Tue Dec 13 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.12.0
  * KDE Applications 16.12.0
  * https://www.kde.org/announcements/announce-applications-16.12.0.php
* Sat Dec  3 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.11.90
  * KDE Applications 16.12.0 RC
  * https://www.kde.org/announcements/announce-applications-16.12-rc.php
* Tue Nov 29 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.11.80
  * KDE Applications 16.12.0 Beta
  * https://www.kde.org/announcements/announce-applications-16.12-beta.php
* Wed Nov  9 2016 lbeltrame@kde.org
- Update to KDE Applications 16.08.3
  * KDE Applications 16.08.3
  * https://www.kde.org/announcements/announce-applications-16.08.3.php
* Tue Oct 11 2016 lbeltrame@kde.org
- KDE Applications 16.08.2
  https://www.kde.org/announcements/announce-applications-16.08.2.php
* Fri Sep  9 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.08.1
  * KDE Applications 16.08.1
  * https://www.kde.org/announcements/announce-applications-16.08.1.php
* Tue Aug 23 2016 fabian@ritter-vogt.de
- Build only on architectures supported by libqt5-qtwebengine
* Fri Aug 12 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.08.0
  * KDE Applications 16.08.0
  * https://www.kde.org/announcements/announce-applications-16.08.0.php
* Mon Aug  8 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.07.90
  * KDE Applications 16.07.90 (16.08-RC)
  * https://www.kde.org/announcements/announce-applications-16.08-rc.php
* Thu Jul 21 2016 wbauer@tmo.at
- Cleanup build requirements
- Add necessary dependencies to the devel package
* Thu Jul  7 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.04.3
  * KDE Applications 16.04.3
  * https://www.kde.org/announcements/announce-applications-16.04.3.php
* Fri Jun 10 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.04.2
  * KDE Applications 16.04.2
  * https://www.kde.org/announcements/announce-applications-16.04.2.php
* Sat May  7 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.04.1
  * KDE Applications 16.04.1
  * https://www.kde.org/announcements/announce-applications-16.04.1.php
* Sun Apr 17 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.04.0
  * KDE Applications 16.04.0
  * https://www.kde.org/announcements/announce-applications-16.04.0.php
* Mon Apr 11 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.03.90
  * KDE Applications 16.04.0 RC
  * https://www.kde.org/announcements/announce-applications-16.04-rc.php
